# Generated from bicrypt-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bicrypt

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Two-Way Encyrption/Decryption
License: BSD-2-Clause
URL: http://rubyworks.github.com/bicrypt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(detroit)
# BuildRequires: rubygem(qed)
BuildArch: noarch

%description
Simple two-way encryption/decryption class.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING.rdoc
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.rdoc
%doc %{gem_instdir}/QED.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.2.0-1
- Initial package
